CompressionParameters (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io.compress
Class CompressionParameters

    java.lang.Object
      org.apache.cassandra.io.compress.CompressionParameters

    public class CompressionParameters

extends java.lang.Object

Field Summary
`static java.lang.String` | `CHUNK_LENGTH_KB`
`static int` | `DEFAULT_CHUNK_LENGTH`
`java.util.Map<java.lang.String,java.lang.String>` | `otherOptions`
`static java.lang.String` | `SSTABLE_COMPRESSION`
`ICompressor` | `sstableCompressor`

Constructor Summary
`CompressionParameters(ICompressor sstableCompressor)`
`CompressionParameters(ICompressor sstableCompressor, java.lang.Integer chunkLength, java.util.Map<java.lang.String,java.lang.String> otherOptions)`
`CompressionParameters(java.lang.String sstableCompressorClass, java.lang.Integer chunkLength, java.util.Map<java.lang.String,java.lang.String> otherOptions)`

Method Summary
`java.util.Map<java.lang.CharSequence,java.lang.CharSequence>` | `asAvroOptions()`
`java.util.Map<java.lang.String,java.lang.String>` | `asThriftOptions()`
`int` | `chunkLength()`
`static CompressionParameters` | `create(java.util.Map<? extends java.lang.CharSequence,? extends java.lang.CharSequence> opts)`
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CHUNK_LENGTH

    public static final int DEFAULT_CHUNK_LENGTH

See Also:
  Constant Field Values

### SSTABLE_COMPRESSION

    public static final java.lang.String SSTABLE_COMPRESSION

See Also:
  Constant Field Values

### CHUNK_LENGTH_KB

    public static final java.lang.String CHUNK_LENGTH_KB

See Also:
  Constant Field Values

### sstableCompressor

    public final ICompressor sstableCompressor

### otherOptions

    public final java.util.Map<java.lang.String,java.lang.String> otherOptions

Constructor Detail

### CompressionParameters

    public CompressionParameters(java.lang.String sstableCompressorClass,
                                 java.lang.Integer chunkLength,
                                 java.util.Map<java.lang.String,java.lang.String> otherOptions)
                          throws ConfigurationException

Throws:
  `ConfigurationException`

### CompressionParameters

    public CompressionParameters(ICompressor sstableCompressor)

### CompressionParameters

    public CompressionParameters(ICompressor sstableCompressor,
                                 java.lang.Integer chunkLength,
                                 java.util.Map<java.lang.String,java.lang.String> otherOptions)

Method Detail

### create

    public static CompressionParameters create(java.util.Map<? extends java.lang.CharSequence,? extends java.lang.CharSequence> opts)
                                        throws ConfigurationException

  Throws:
    `ConfigurationException`

### chunkLength

    public int chunkLength()

### asAvroOptions

    public java.util.Map<java.lang.CharSequence,java.lang.CharSequence> asAvroOptions()

### asThriftOptions

    public java.util.Map<java.lang.String,java.lang.String> asThriftOptions()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation